Skip to main content

Verisoul API

Verisoul provides a comprehensive set of APIs to help you integrate identity verification and fraud prevention into your applications. Below you’ll find our core API sections.

Account API

Manage user accounts, retrieve account information, and delete accounts

Session API

Create, authenticate, and manage user sessions

Lists API

Create and manage lists of accounts

Phone API

Verify and validate phone numbers

Face Match API

Verify liveness and deduplicate accounts

ID Check API

Verify identity documents and match faces to ID photos

Environments

Verisoul provides two environments for API access:

Production

Base URL: https://api.prod.verisoul.aiUse this environment for your live applications with real users.

Sandbox

Base URL: https://api.sandbox.verisoul.aiUse this environment for development, testing, and integration.
Each environment requires its own API key. Make sure to use the appropriate API key for each environment.

Authentication

All API endpoints are authenticated using secure API keys. You can find your API key in the Verisoul Dashboard.

Using Your API Key

Keep your API key secure and never expose it in client-side code. Your API key carries many privileges, so be sure to keep it secret.
To authenticate your API requests, include your API key in the request headers using the x-api-key header:
curl -X GET "https://api.prod.verisoul.ai/list" \
  -H "x-api-key: your-api-key-here"